petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMShellSetRefine

Set the routine used to refine the shell DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetRefine(DM dm, PetscErrorCode (*refine)(DM,MPI_Comm,DM*))

Logically Collective on DM Many br

Input Arguments Many br

| dm | - the shell DM Many br
| refine | - the routine that refines the DM Many br

Many br

### See Also

DMShellSetCoarsen(), DMRefine(), DMShellSetContext(), DMShellGetContext()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex65.c.html